diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/export.php ./wordpress-3.4/wp-admin/export.php
*** ./wordpress-3.3.2/wp-admin/export.php	2011-11-30 19:17:14.000000000 -0600
--- ./wordpress-3.4/wp-admin/export.php	2012-04-25 19:58:16.000000000 -0500
***************
*** 41,47 ****
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __('Overview'),
! 	'content' => '<p>' . __('You can export a file of your site&#8217;s content in order to import it into another installation or platform. The export file will be an XML file format called WXR. Posts, pages, comments, custom fields, categories, and tags can be included. You can choose for the WXR file to include only certain posts or pages by setting the dropdown filters to  limit the export by category, author, date range by month, or publishing status.') . '</p>' .
  		'<p>' . __('Once generated, your WXR file can be imported by another WordPress site or by another blogging platform able to access this format.') . '</p>',
  ) );
  
--- 41,47 ----
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __('Overview'),
! 	'content' => '<p>' . __('You can export a file of your site&#8217;s content in order to import it into another installation or platform. The export file will be an XML file format called WXR. Posts, pages, comments, custom fields, categories, and tags can be included. You can choose for the WXR file to include only certain posts or pages by setting the dropdown filters to limit the export by category, author, date range by month, or publishing status.') . '</p>' .
  		'<p>' . __('Once generated, your WXR file can be imported by another WordPress site or by another blogging platform able to access this format.') . '</p>',
  ) );
  
***************
*** 95,109 ****
  
  require_once ('admin-header.php');
  
! function export_date_options() {
  	global $wpdb, $wp_locale;
  
! 	$months = $wpdb->get_results( "
  		SELECT DISTINCT YEAR( post_date ) AS year, MONTH( post_date ) AS month
  		FROM $wpdb->posts
! 		WHERE post_type = 'post' AND post_status != 'auto-draft'
  		ORDER BY post_date DESC
! 	" );
  
  	$month_count = count( $months );
  	if ( !$month_count || ( 1 == $month_count && 0 == $months[0]->month ) )
--- 95,109 ----
  
  require_once ('admin-header.php');
  
! function export_date_options( $post_type = 'post' ) {
  	global $wpdb, $wp_locale;
  
! 	$months = $wpdb->get_results( $wpdb->prepare( "
  		SELECT DISTINCT YEAR( post_date ) AS year, MONTH( post_date ) AS month
  		FROM $wpdb->posts
! 		WHERE post_type = %s AND post_status != 'auto-draft'
  		ORDER BY post_date DESC
! 	", $post_type ) );
  
  	$month_count = count( $months );
  	if ( !$month_count || ( 1 == $month_count && 0 == $months[0]->month ) )
***************
*** 130,137 ****
  <h3><?php _e( 'Choose what to export' ); ?></h3>
  <form action="" method="get" id="export-filters">
  <input type="hidden" name="download" value="true" />
! <p><label><input type="radio" name="content" value="all" checked="checked" /> <?php _e( 'All content' ); ?></label>
! <span class="description"><?php _e( 'This will contain all of your posts, pages, comments, custom fields, terms, navigation menus and custom posts.' ); ?></span></p>
  
  <p><label><input type="radio" name="content" value="posts" /> <?php _e( 'Posts' ); ?></label></p>
  <ul id="post-filters" class="export-filters">
--- 130,137 ----
  <h3><?php _e( 'Choose what to export' ); ?></h3>
  <form action="" method="get" id="export-filters">
  <input type="hidden" name="download" value="true" />
! <p><label><input type="radio" name="content" value="all" checked="checked" /> <?php _e( 'All content' ); ?></label></p>
! <p class="description"><?php _e( 'This will contain all of your posts, pages, comments, custom fields, terms, navigation menus and custom posts.' ); ?></p>
  
  <p><label><input type="radio" name="content" value="posts" /> <?php _e( 'Posts' ); ?></label></p>
  <ul id="post-filters" class="export-filters">
***************
*** 182,192 ****
  		<label><?php _e( 'Date range:' ); ?></label>
  		<select name="page_start_date">
  			<option value="0"><?php _e( 'Start Date' ); ?></option>
! 			<?php export_date_options(); ?>
  		</select>
  		<select name="page_end_date">
  			<option value="0"><?php _e( 'End Date' ); ?></option>
! 			<?php export_date_options(); ?>
  		</select>
  	</li>
  	<li>
--- 182,192 ----
  		<label><?php _e( 'Date range:' ); ?></label>
  		<select name="page_start_date">
  			<option value="0"><?php _e( 'Start Date' ); ?></option>
! 			<?php export_date_options( 'page' ); ?>
  		</select>
  		<select name="page_end_date">
  			<option value="0"><?php _e( 'End Date' ); ?></option>
! 			<?php export_date_options( 'page' ); ?>
  		</select>
  	</li>
  	<li>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/freedoms.php ./wordpress-3.4/wp-admin/freedoms.php
*** ./wordpress-3.3.2/wp-admin/freedoms.php	2011-12-01 17:13:56.000000000 -0600
--- ./wordpress-3.4/wp-admin/freedoms.php	2012-06-07 10:34:21.000000000 -0500
***************
*** 13,25 ****
  
  list( $display_version ) = explode( '-', $wp_version );
  
! include( './admin-header.php' );
  ?>
  <div class="wrap about-wrap">
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! Using WordPress %s will improve your looks, personality, and web publishing experience. Okay, just the last one, but still. :)' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
--- 13,25 ----
  
  list( $display_version ) = explode( '-', $wp_version );
  
! include( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  <div class="wrap about-wrap">
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! WordPress %s is already making your website better, faster, and more attractive, just like you!' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
***************
*** 54,57 ****
  <p><?php _e( 'Don&#8217;t you wish all software came with these freedoms? So do we! For more information, check out the <a href="http://www.fsf.org/">Free Software Foundation</a>.' ); ?></p>
  
  </div>
! <?php include( './admin-footer.php' ); ?>
--- 54,57 ----
  <p><?php _e( 'Don&#8217;t you wish all software came with these freedoms? So do we! For more information, check out the <a href="http://www.fsf.org/">Free Software Foundation</a>.' ); ?></p>
  
  </div>
! <?php include( ABSPATH . 'wp-admin/admin-footer.php' ); ?>
Binary files ./wordpress-3.3.2/wp-admin/images/gray-star.png and ./wordpress-3.4/wp-admin/images/gray-star.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/icons32-2x.png and ./wordpress-3.4/wp-admin/images/icons32-2x.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/icons32-vs-2x.png and ./wordpress-3.4/wp-admin/images/icons32-vs-2x.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/logo-login.png and ./wordpress-3.4/wp-admin/images/logo-login.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/menu-2x.png and ./wordpress-3.4/wp-admin/images/menu-2x.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/menu.png and ./wordpress-3.4/wp-admin/images/menu.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/press-this.png and ./wordpress-3.4/wp-admin/images/press-this.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/admin-flyouts.png and ./wordpress-3.4/wp-admin/images/screenshots/admin-flyouts.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/captions-1.png and ./wordpress-3.4/wp-admin/images/screenshots/captions-1.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/captions-2.png and ./wordpress-3.4/wp-admin/images/screenshots/captions-2.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/coediting.png and ./wordpress-3.4/wp-admin/images/screenshots/coediting.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/drag-and-drop.png and ./wordpress-3.4/wp-admin/images/screenshots/drag-and-drop.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/flex-header-1.png and ./wordpress-3.4/wp-admin/images/screenshots/flex-header-1.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/flex-header-2.png and ./wordpress-3.4/wp-admin/images/screenshots/flex-header-2.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/flex-header-3.png and ./wordpress-3.4/wp-admin/images/screenshots/flex-header-3.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/flex-header-media-library.png and ./wordpress-3.4/wp-admin/images/screenshots/flex-header-media-library.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/help-screen.png and ./wordpress-3.4/wp-admin/images/screenshots/help-screen.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/media-icon.png and ./wordpress-3.4/wp-admin/images/screenshots/media-icon.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/new-feature-pointer.png and ./wordpress-3.4/wp-admin/images/screenshots/new-feature-pointer.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/theme-customizer.png and ./wordpress-3.4/wp-admin/images/screenshots/theme-customizer.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/twitter-embed-1.png and ./wordpress-3.4/wp-admin/images/screenshots/twitter-embed-1.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/twitter-embed-2.png and ./wordpress-3.4/wp-admin/images/screenshots/twitter-embed-2.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/screenshots/welcome-screen.png and ./wordpress-3.4/wp-admin/images/screenshots/welcome-screen.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/star.png and ./wordpress-3.4/wp-admin/images/star.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/stars.png and ./wordpress-3.4/wp-admin/images/stars.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/stars-rtl.png and ./wordpress-3.4/wp-admin/images/stars-rtl.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/wordpress-logo-2x.png and ./wordpress-3.4/wp-admin/images/wordpress-logo-2x.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/wordpress-logo.png and ./wordpress-3.4/wp-admin/images/wordpress-logo.png differ
Binary files ./wordpress-3.3.2/wp-admin/images/wp-badge-2x.png and ./wordpress-3.4/wp-admin/images/wp-badge-2x.png differ
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/import.php ./wordpress-3.4/wp-admin/import.php
*** ./wordpress-3.3.2/wp-admin/import.php	2011-11-30 19:17:14.000000000 -0600
--- ./wordpress-3.4/wp-admin/import.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 20,29 ****
  	'id'      => 'overview',
  	'title'   => __('Overview'),
  	'content' => '<p>' . __('This screen lists links to plugins to import data from blogging/content management platforms. Choose the platform you want to import from, and click Install Now when you are prompted in the popup window. If your platform is not listed, click the link to search the plugin directory for other importer plugins to see if there is one for your platform.') . '</p>' .
! 		'<p>' . __('In previous versions of WordPress, all importers were built-in.  They have been turned into plugins since most people only use them once or infrequently.') . '</p>',
  ) );
  
- 
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Tools_Import_Screen" target="_blank">Documentation on Import</a>') . '</p>' .
--- 20,28 ----
  	'id'      => 'overview',
  	'title'   => __('Overview'),
  	'content' => '<p>' . __('This screen lists links to plugins to import data from blogging/content management platforms. Choose the platform you want to import from, and click Install Now when you are prompted in the popup window. If your platform is not listed, click the link to search the plugin directory for other importer plugins to see if there is one for your platform.') . '</p>' .
! 		'<p>' . __('In previous versions of WordPress, all importers were built-in. They have been turned into plugins since most people only use them once or infrequently.') . '</p>',
  ) );
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Tools_Import_Screen" target="_blank">Documentation on Import</a>') . '</p>' .
***************
*** 138,141 ****
  <?php
  
  include ('admin-footer.php');
- ?>
--- 137,139 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/admin.php ./wordpress-3.4/wp-admin/includes/admin.php
*** ./wordpress-3.3.2/wp-admin/includes/admin.php	2011-11-30 18:36:19.000000000 -0600
--- ./wordpress-3.4/wp-admin/includes/admin.php	2012-01-27 16:19:56.000000000 -0600
***************
*** 6,11 ****
--- 6,18 ----
   * @subpackage Administration
   */
  
+ if ( ! defined('WP_ADMIN') ) {
+ 	// This file is being included from a file other than wp-admin/admin.php, so
+ 	// some setup was skipped. Make sure the admin message catalog is loaded since
+ 	// load_default_textdomain() will not have done so in this context.
+ 	load_textdomain( 'default', WP_LANG_DIR . '/admin-' . get_locale() . '.mo' );
+ }
+ 
  /** WordPress Bookmark Administration API */
  require_once(ABSPATH . 'wp-admin/includes/bookmark.php');
  
***************
*** 63,67 ****
  	require_once(ABSPATH . 'wp-admin/includes/ms.php');
  	require_once(ABSPATH . 'wp-admin/includes/ms-deprecated.php');
  }
- 
- ?>
--- 70,72 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/bookmark.php ./wordpress-3.4/wp-admin/includes/bookmark.php
*** ./wordpress-3.3.2/wp-admin/includes/bookmark.php	2010-10-19 02:48:22.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/bookmark.php	2012-03-24 10:24:31.000000000 -0500
***************
*** 53,58 ****
--- 53,59 ----
   * @return object Default link
   */
  function get_default_link_to_edit() {
+ 	$link = new stdClass;
  	if ( isset( $_GET['linkurl'] ) )
  		$link->link_url = esc_url( $_GET['linkurl'] );
  	else
***************
*** 83,89 ****
  
  	wp_delete_object_term_relationships( $link_id, 'link_category' );
  
! 	$wpdb->query( $wpdb->prepare( "DELETE FROM $wpdb->links WHERE link_id = %d", $link_id ) );
  
  	do_action( 'deleted_link', $link_id );
  
--- 84,90 ----
  
  	wp_delete_object_term_relationships( $link_id, 'link_category' );
  
! 	$wpdb->delete( $wpdb->links, array( 'link_id' => $link_id ) );
  
  	do_action( 'deleted_link', $link_id );
  
***************
*** 265,269 ****
  
  	return wp_insert_link( $linkdata );
  }
- 
- ?>
--- 266,268 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-ftp.php ./wordpress-3.4/wp-admin/includes/class-ftp.php
*** ./wordpress-3.3.2/wp-admin/includes/class-ftp.php	2009-12-26 10:53:17.000000000 -0600
--- ./wordpress-3.4/wp-admin/includes/class-ftp.php	2012-03-28 21:15:06.000000000 -0500
***************
*** 896,906 ****
  	}
  }
  
! $mod_sockets=TRUE;
! if (!extension_loaded('sockets')) {
! 	$prefix = (PHP_SHLIB_SUFFIX == 'dll') ? 'php_' : '';
! 	if(!@dl($prefix . 'sockets.' . PHP_SHLIB_SUFFIX)) $mod_sockets=FALSE;
  }
  
! require_once "class-ftp-".($mod_sockets?"sockets":"pure").".php";
  ?>
--- 896,907 ----
  	}
  }
  
! $mod_sockets = extension_loaded( 'sockets' );
! if ( ! $mod_sockets && function_exists( 'dl' ) && is_callable( 'dl' ) ) {
! 	$prefix = ( PHP_SHLIB_SUFFIX == 'dll' ) ? 'php_' : '';
! 	@dl( $prefix . 'sockets.' . PHP_SHLIB_SUFFIX );
! 	$mod_sockets = extension_loaded( 'sockets' );
  }
  
! require_once "class-ftp-" . ( $mod_sockets ? "sockets" : "pure" ) . ".php";
  ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-comments-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-comments-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-comments-list-table.php	2011-11-15 08:02:42.000000000 -0600
--- ./wordpress-3.4/wp-admin/includes/class-wp-comments-list-table.php	2012-04-19 09:00:44.000000000 -0500
***************
*** 130,142 ****
  		global $comment_status;
  
  		if ( 'moderated' == $comment_status )
! 			_e( 'No comments awaiting moderation&hellip; yet.' );
  		else
  			_e( 'No comments found.' );
  	}
  
  	function get_views() {
! 		global $post_id, $comment_status;
  
  		$status_links = array();
  		$num_comments = ( $post_id ) ? wp_count_comments( $post_id ) : wp_count_comments();
--- 130,142 ----
  		global $comment_status;
  
  		if ( 'moderated' == $comment_status )
! 			_e( 'No comments awaiting moderation.' );
  		else
  			_e( 'No comments found.' );
  	}
  
  	function get_views() {
! 		global $post_id, $comment_status, $comment_type;
  
  		$status_links = array();
  		$num_comments = ( $post_id ) ? wp_count_comments( $post_id ) : wp_count_comments();
***************
*** 186,192 ****
  		$actions = array();
  		if ( in_array( $comment_status, array( 'all', 'approved' ) ) )
  			$actions['unapprove'] = __( 'Unapprove' );
! 		if ( in_array( $comment_status, array( 'all', 'moderated', 'spam' ) ) )
  			$actions['approve'] = __( 'Approve' );
  		if ( in_array( $comment_status, array( 'all', 'moderated', 'approved' ) ) )
  			$actions['spam'] = _x( 'Mark as Spam', 'comment' );
--- 186,192 ----
  		$actions = array();
  		if ( in_array( $comment_status, array( 'all', 'approved' ) ) )
  			$actions['unapprove'] = __( 'Unapprove' );
! 		if ( in_array( $comment_status, array( 'all', 'moderated' ) ) )
  			$actions['approve'] = __( 'Approve' );
  		if ( in_array( $comment_status, array( 'all', 'moderated', 'approved' ) ) )
  			$actions['spam'] = _x( 'Mark as Spam', 'comment' );
***************
*** 556,560 ****
  		return 10;
  	}
  }
- 
- ?>
--- 556,558 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-filesystem-base.php ./wordpress-3.4/wp-admin/includes/class-wp-filesystem-base.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-filesystem-base.php	2011-09-03 09:18:10.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-filesystem-base.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 328,332 ****
  		return (bool) preg_match('|[^\x20-\x7E]|', $text); //chr(32)..chr(127)
  	}
  }
- 
- ?>
--- 328,330 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-filesystem-direct.php ./wordpress-3.4/wp-admin/includes/class-wp-filesystem-direct.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-filesystem-direct.php	2011-10-13 05:43:38.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-filesystem-direct.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 207,213 ****
  		if ( ! $overwrite && $this->exists($destination) )
  			return false;
  
! 		// try using rename first.  if that fails (for example, source is read only) try copy
  		if ( @rename($source, $destination) )
  			return true;
  
--- 207,213 ----
  		if ( ! $overwrite && $this->exists($destination) )
  			return false;
  
! 		// try using rename first. if that fails (for example, source is read only) try copy
  		if ( @rename($source, $destination) )
  			return true;
  
***************
*** 361,364 ****
  		return $ret;
  	}
  }
- ?>
--- 361,363 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-filesystem-ftpext.php ./wordpress-3.4/wp-admin/includes/class-wp-filesystem-ftpext.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-filesystem-ftpext.php	2011-10-13 05:43:38.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-filesystem-ftpext.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 387,391 ****
  			ftp_close($this->link);
  	}
  }
- 
- ?>
--- 387,389 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-filesystem-ftpsockets.php ./wordpress-3.4/wp-admin/includes/class-wp-filesystem-ftpsockets.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-filesystem-ftpsockets.php	2011-10-13 05:43:38.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-filesystem-ftpsockets.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 327,331 ****
  		$this->ftp->quit();
  	}
  }
- 
- ?>
--- 327,329 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-links-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-links-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-links-list-table.php	2011-06-10 17:13:26.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-links-list-table.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 182,186 ****
  		}
  	}
  }
- 
- ?>
--- 182,184 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-list-table.php	2011-10-19 18:51:06.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-list-table.php	2012-03-15 23:04:07.000000000 -0500
***************
*** 212,218 ****
  ?>
  <p class="search-box">
  	<label class="screen-reader-text" for="<?php echo $input_id ?>"><?php echo $text; ?>:</label>
! 	<input type="text" id="<?php echo $input_id ?>" name="s" value="<?php _admin_search_query(); ?>" />
  	<?php submit_button( $text, 'button', false, false, array('id' => 'search-submit') ); ?>
  </p>
  <?php
--- 212,218 ----
  ?>
  <p class="search-box">
  	<label class="screen-reader-text" for="<?php echo $input_id ?>"><?php echo $text; ?>:</label>
! 	<input type="search" id="<?php echo $input_id ?>" name="s" value="<?php _admin_search_query(); ?>" />
  	<?php submit_button( $text, 'button', false, false, array('id' => 'search-submit') ); ?>
  </p>
  <?php
***************
*** 386,392 ****
  			printf( "<option %s value='%s'>%s</option>\n",
  				selected( $m, $year . $month, false ),
  				esc_attr( $arc_row->year . $month ),
! 				$wp_locale->get_month( $month ) . " $year"
  			);
  		}
  ?>
--- 386,393 ----
  			printf( "<option %s value='%s'>%s</option>\n",
  				selected( $m, $year . $month, false ),
  				esc_attr( $arc_row->year . $month ),
! 				/* translators: 1: month name, 2: 4-digit year */
! 				sprintf( __( '%1$s %2$d' ), $wp_locale->get_month( $month ), $year )
  			);
  		}
  ?>
***************
*** 483,489 ****
  		if ( empty( $this->_pagination_args ) )
  			return;
  
! 		extract( $this->_pagination_args );
  
  		$output = '<span class="displaying-num">' . sprintf( _n( '1 item', '%s items', $total_items ), number_format_i18n( $total_items ) ) . '</span>';
  
--- 484,490 ----
  		if ( empty( $this->_pagination_args ) )
  			return;
  
! 		extract( $this->_pagination_args, EXTR_SKIP );
  
  		$output = '<span class="displaying-num">' . sprintf( _n( '1 item', '%s items', $total_items ), number_format_i18n( $total_items ) ) . '</span>';
  
***************
*** 518,526 ****
  		if ( 'bottom' == $which )
  			$html_current_page = $current;
  		else
! 			$html_current_page = sprintf( "<input class='current-page' title='%s' type='text' name='%s' value='%s' size='%d' />",
  				esc_attr__( 'Current page' ),
- 				esc_attr( 'paged' ),
  				$current,
  				strlen( $total_pages )
  			);
--- 519,526 ----
  		if ( 'bottom' == $which )
  			$html_current_page = $current;
  		else
! 			$html_current_page = sprintf( "<input class='current-page' title='%s' type='text' name='paged' value='%s' size='%d' />",
  				esc_attr__( 'Current page' ),
  				$current,
  				strlen( $total_pages )
  			);
***************
*** 542,548 ****
  			'&raquo;'
  		);
  
! 		$output .= "\n<span class='pagination-links'>" . join( "\n", $page_links ) . '</span>';
  
  		if ( $total_pages )
  			$page_class = $total_pages < 2 ? ' one-page' : '';
--- 542,551 ----
  			'&raquo;'
  		);
  
! 		$pagination_links_class = 'pagination-links';
! 		if ( ! empty( $infinite_scroll ) )
! 			$pagination_links_class = ' hide-if-js';
! 		$output .= "\n<span class='$pagination_links_class'>" . join( "\n", $page_links ) . '</span>';
  
  		if ( $total_pages )
  			$page_class = $total_pages < 2 ? ' one-page' : '';
***************
*** 871,877 ****
  		$this->prepare_items();
  
  		extract( $this->_args );
! 		extract( $this->_pagination_args );
  
  		ob_start();
  		if ( ! empty( $_REQUEST['no_placeholder'] ) )
--- 874,880 ----
  		$this->prepare_items();
  
  		extract( $this->_args );
! 		extract( $this->_pagination_args, EXTR_SKIP );
  
  		ob_start();
  		if ( ! empty( $_REQUEST['no_placeholder'] ) )
***************
*** 913,916 ****
  		printf( "<script type='text/javascript'>list_args = %s;</script>\n", json_encode( $args ) );
  	}
  }
- ?>
--- 916,918 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-media-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-media-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-media-list-table.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/includes/class-wp-media-list-table.php	2012-02-14 11:25:40.000000000 -0600
***************
*** 302,309 ****
  			<td <?php echo $attributes ?>><strong>
  				<?php if( current_user_can( 'edit_post', $post->post_parent ) ) { ?>
  					<a href="<?php echo get_edit_post_link( $post->post_parent ); ?>">
! 						<?php echo $title ?></a>
! 				<?php } else {
  					echo $title;
  				} ?></strong>,
  				<?php echo get_the_time( __( 'Y/m/d' ) ); ?>
--- 302,309 ----
  			<td <?php echo $attributes ?>><strong>
  				<?php if( current_user_can( 'edit_post', $post->post_parent ) ) { ?>
  					<a href="<?php echo get_edit_post_link( $post->post_parent ); ?>">
! 						<?php echo $title ?></a><?php
! 				} else {
  					echo $title;
  				} ?></strong>,
  				<?php echo get_the_time( __( 'Y/m/d' ) ); ?>
***************
*** 392,396 ****
  		return $actions;
  	}
  }
- 
- ?>
--- 392,394 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-ms-sites-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-ms-sites-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-ms-sites-list-table.php	2011-10-03 11:30:07.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-ms-sites-list-table.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 251,257 ****
  									$actions['deactivate']	= '<span class="activate"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=deactivateblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to deactivate the site %s' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Deactivate' ) . '</a></span>';
  
  								if ( get_blog_status( $blog['blog_id'], 'archived' ) == '1' )
! 									$actions['unarchive']	= '<span class="archive"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=unarchiveblog&amp;id=' .  $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to unarchive the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Unarchive' ) . '</a></span>';
  								else
  									$actions['archive']	= '<span class="archive"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=archiveblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to archive the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . _x( 'Archive', 'verb; site' ) . '</a></span>';
  
--- 251,257 ----
  									$actions['deactivate']	= '<span class="activate"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=deactivateblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to deactivate the site %s' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Deactivate' ) . '</a></span>';
  
  								if ( get_blog_status( $blog['blog_id'], 'archived' ) == '1' )
! 									$actions['unarchive']	= '<span class="archive"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=unarchiveblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to unarchive the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Unarchive' ) . '</a></span>';
  								else
  									$actions['archive']	= '<span class="archive"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=archiveblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to archive the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . _x( 'Archive', 'verb; site' ) . '</a></span>';
  
***************
*** 337,341 ****
  		}
  	}
  }
- 
- ?>
--- 337,339 ----
